/* expdbflib - library to export data from dbf files 
 * Copyright (C) 1997-1999 Zbigniew Michal Kempczynski
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <malloc.h>
#include <stdlib.h>
#include <iostream.h>
#include <stdio.h>
#include "defs.h"
#include "global.h"

//FUNKCJE UZYTECZNE
void file_open_error(void)
{
 cout << "Bd otwarcia pliku\n";
 exit(1);
}

void fopen_error(char *filename)
{
 printf("Bd otwarcia pliku : %s\n", filename);
 exit(1);
}


void mem_error(void)
{
// remove(F_TEMP_RAPORT);
 cout << "Brak pamici\n";
 mem_near_info();
 exit(2);
}

void mem_near_info(void)
{
// cout << "Wolnej pamici : " << (unsigned long) coreleft() << "\n";
}

dword set_num_of_record(char *plik) //zwraca liczbe rekordow w pliku
{
 FILE *in;
 dword dlugosc;
 if ((in = fopen(plik, "rb")) == NULL) file_open_error();
 fread(&dlugosc, sizeof(dword), 1, in);
 fread(&dlugosc, sizeof(dword), 1, in);
 fclose(in);
 return dlugosc;
}
